//
//  LocalSource.h
//  This class is specific to this early prototype. It gets the images from the local ressource.
//
//  Created by Alexis Taugeron on 21/11/10.
//  Copyright 2010 Alexis Taugeron & Adrien Kohlbecker
//
//	Licensed under the Apache License, Version 2.0 (the "License");
//	you may not use this file except in compliance with the License.
//	You may obtain a copy of the License at
//	
//	http://www.apache.org/licenses/LICENSE-2.0
//	
//	Unless required by applicable law or agreed to in writing, software
//	distributed under the License is distributed on an "AS IS" BASIS,
//	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//	See the License for the specific language governing permissions and
//	limitations under the License.
//	

#import <Foundation/Foundation.h>
#import "ImageSource.h"
#import "ImageManager.h"

extern NSUInteger const NUMBER_OF_LOCAL_IMAGES;

@interface LocalSource : NSObject <ImageSource> {

}

@end
