//
//  Constants.m
//
//  Created by Alexis Taugeron on 21/11/10.
//  Copyright 2010 Alexis Taugeron & Adrien Kohlbecker
//
//	Licensed under the Apache License, Version 2.0 (the "License");
//	you may not use this file except in compliance with the License.
//	You may obtain a copy of the License at
//	
//	http://www.apache.org/licenses/LICENSE-2.0
//	
//	Unless required by applicable law or agreed to in writing, software
//	distributed under the License is distributed on an "AS IS" BASIS,
//	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//	See the License for the specific language governing permissions and
//	limitations under the License.
//

#import "Constants.h"


BOOL									const	PHOTOTYPE_USE_NAVIGATION						= YES;
NSString							*	const	PHOTOTYPE_NAVIGATION_TITLE						= @"Phototype";
NSTimeInterval							const	PHOTOTYPE_SPLIT_TOGGLE_DURATION					= 0.5;
float									const	PHOTOTYPE_SPLIT_WIDTH							= 1;
NSString							*	const	PHOTOTYPE_TOGGLE_FILTER_PANEL_TEXT				= @"Toggle filters";
UIBarButtonItemStyle					const	PHOTOTYPE_TOGGLE_FILTER_PANEL_STYLE				= UIBarButtonItemStyleDone;
CGFloat									const	PHOTOTYPE_FILTER_PANEL_PORTRAIT_WIDTH			= 768;
CGFloat									const	PHOTOTYPE_FILTER_PANEL_PORTRAIT_HEIGHT			= 300;
CGFloat									const	PHOTOTYPE_FILTER_PANEL_LANDSCAPE_WIDTH			= 300;
CGFloat									const	PHOTOTYPE_FILTER_PANEL_LANDSCAPE_HEIGHT			= 704;
CGFloat									const	PHOTOTYPE_DATABASE_LOADING_VIEW_ALPHA				= 0.9;
NSUInteger								const	PHOTOTYPE_THUMBNAILS_CORNER_RADIUS				= 8;
NSTimeInterval							const	PHOTOTYPE_THUMBNAILS_FADE_DURATION				= 0.5;
NSUInteger								const	PHOTOTYPE_THUMBNAILS_SIZE						= 150;
float									const	PHOTOTYPE_GRID_MINIMUM_BORDER_RATIO				= 0.05;
NSUInteger								const	PHOTOTYPE_SCREEN_PORTRAIT_WIDTH					= 768;
NSUInteger								const	PHOTOTYPE_SCREEN_LANDSCAPE_WIDTH				= 1024;