//
//  Constants.h
//
//  Created by Alexis Taugeron on 21/11/10.
//  Copyright 2010 Alexis Taugeron & Adrien Kohlbecker
//
//	Licensed under the Apache License, Version 2.0 (the "License");
//	you may not use this file except in compliance with the License.
//	You may obtain a copy of the License at
//	
//	http://www.apache.org/licenses/LICENSE-2.0
//	
//	Unless required by applicable law or agreed to in writing, software
//	distributed under the License is distributed on an "AS IS" BASIS,
//	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//	See the License for the specific language governing permissions and
//	limitations under the License.
//


extern BOOL										const	PHOTOTYPE_USE_NAVIGATION;
extern NSString								*	const	PHOTOTYPE_NAVIGATION_TITLE;
extern NSTimeInterval							const	PHOTOTYPE_SPLIT_TOGGLE_DURATION;
extern float									const	PHOTOTYPE_SPLIT_WIDTH;
extern UIBarButtonItemStyle						const	PHOTOTYPE_TOGGLE_FILTER_PANEL_STYLE;
extern NSString								*	const	PHOTOTYPE_TOGGLE_FILTER_PANEL_TEXT;
extern CGFloat									const	PHOTOTYPE_FILTER_PANEL_PORTRAIT_WIDTH;
extern CGFloat									const	PHOTOTYPE_FILTER_PANEL_PORTRAIT_HEIGHT;
extern CGFloat									const	PHOTOTYPE_FILTER_PANEL_LANDSCAPE_WIDTH;
extern CGFloat									const	PHOTOTYPE_FILTER_PANEL_LANDSCAPE_HEIGHT;
extern CGFloat									const	PHOTOTYPE_DATABASE_LOADING_VIEW_ALPHA;
extern NSUInteger								const	PHOTOTYPE_THUMBNAILS_CORNER_RADIUS;
extern NSTimeInterval							const	PHOTOTYPE_THUMBNAILS_FADE_DURATION;
extern NSUInteger								const	PHOTOTYPE_THUMBNAILS_SIZE;
extern float									const	PHOTOTYPE_GRID_MINIMUM_BORDER_RATIO;
extern NSUInteger								const	PHOTOTYPE_SCREEN_PORTRAIT_WIDTH;
extern NSUInteger								const	PHOTOTYPE_SCREEN_LANDSCAPE_WIDTH;

//Non constant application parameters (defined in Prefix.pch) :
// UIColor *PHOTOTYPE_GRID_BACKGROUND_COLOR